package renderer

import "net/http"

const directoryMenu = "directory"

func (renderer *Renderer) DirectoryHome(w http.ResponseWriter, r *http.Request) {
	files := renderer.ThemeConfig.GetStringSlice("views.directory.home.files")
	state := NewState(r, renderer.ThemeConfig, directoryMenu)
	state.ViewState = map[string]any{}

	renderer.Render("directory", w, r, files, state)
}
